package com.mvc.model.produce;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mvc.model.ReqPageGeeker;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2024-11-12 10:22:27
*/
public class DicProductionPartModel  extends ReqPageGeeker{
        /**
     * 主键
     */
    private Integer id;

    /**
     * 部件名称
     */
    private String partName;

    /**
     * 部件图片(示例)
     */
    private String partImage;

    /**
     * 父级ID
     */
    private Integer parentId;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTime;

    /**
     * 部件数量(螺丝类)
     */
    private Integer partNum;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 显示排序
     */
    private Integer viewOrder;

    /**
     * 系统标记(不允许操作删除)
     */
    private Integer systemFlag;

    private List<DicProductionPartModel> details;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName == null ? null : partName.trim();
    }

    public String getPartImage() {
        return partImage;
    }

    public void setPartImage(String partImage) {
        this.partImage = partImage == null ? null : partImage.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getPartNum() {
        return partNum;
    }

    public void setPartNum(Integer partNum) {
        this.partNum = partNum;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getViewOrder() {
        return viewOrder;
    }

    public void setViewOrder(Integer viewOrder) {
        this.viewOrder = viewOrder;
    }

    public Integer getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(Integer systemFlag) {
        this.systemFlag = systemFlag;
    }

    public List<DicProductionPartModel> getDetails() {
        return details;
    }

    public void setDetails(List<DicProductionPartModel> details) {
        this.details = details;
    }
}